#include <iostream>
using namespace std;
int main(){
short int si=1;
int i=2;
long int li=3;
float fl=3.14;
double db=3.14;
long double ld=3.14;
char c='c';
cout<<"El numero de bytes de un short int es "<<sizeof(si)<<endl;
cout<<"El numero de bytes de un int es "<<sizeof(i)<<endl;
cout<<"El numero de bytes de un long int es "<<sizeof(li)<<endl;
cout<<"El numero de bytes de un float es "<<sizeof(fl)<<endl;
cout<<"El numero de bytes de un double es "<<sizeof(db)<<endl;
cout<<"El numero de bytes de un long double es "<<sizeof(ld)<<endl;
cout<<"El numero de bytes de un char es "<<sizeof(c)<<endl;
}
